package ru.ulstu.extractor.model;

import javax.persistence.Entity;
import javax.persistence.Transient;

@Entity
public class LineChange extends BaseEntity {
    @Transient
    private boolean added;
    @Transient
    private boolean removed;
    private String lineFrom;
    private String lineTo;

    public LineChange() {

    }

    public LineChange(boolean added, boolean removed, String lineFrom, String lineTo) {
        this.added = added;
        this.removed = removed;
        this.lineFrom = lineFrom;
        this.lineTo = lineTo;
    }

    public void setLineTo(String lineTo) {
        this.lineTo = lineTo;
    }

    public void setLineFrom(String lineFrom) {
        this.lineFrom = lineFrom;
    }


    public boolean getAdd() {
        return added;
    }

    public boolean getRemoved() {
        return removed;
    }

    public String getLineFrom() {
        return lineFrom;
    }

    public String getLineTo() {
        return lineTo;
    }

    public boolean isAdded() {
        return added;
    }

    public void setAdded(boolean added) {
        this.added = added;
    }

    public boolean isRemoved() {
        return removed;
    }

    public void setRemoved(boolean removed) {
        this.removed = removed;
    }
}
